4 Replies Latest reply on Feb 12, 2007 6:15 AM by Chris Lowe

    Updating JBoss 4.0.5.GA to use the latest Hibernate Jars

    jameswoodward Newbie

      Hi,

      I am using JBoss 4.0.5 which I installed using the ejb3 profile of jems-installer-1.2.0.GA.jar.

      I have then replaced the bundled hibernate 3.2.0.GA jar files

      jboss-4.0.5.GA\server\default\lib\hibernate3.jar
      jboss-4.0.5.GA\server\default\lib\hibernate-annotations.jar
      jboss-4.0.5.GA\server\default\lib\hibernate-entitymanager.jar

      with the latest versions downloaded from http://www.hibernate.org/6.html

      Hibernate 3.2.2.GA
      Hibernate Annotation 3.2.1.GA
      Hibernate Entity Manager 3.2.1.GA

      Is it ok updating the jars like this in JBoss?
      Is there anything else I need to do?

      Many Thanks,
      James